Package picard.arrays

## Class CollectArraysVariantCallingMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.arrays.CollectArraysVariantCallingMetrics

-     @DocumentedFeature
      public class CollectArraysVariantCallingMetrics
      extends CommandLineProgram

  Collects summary and per-sample metrics about variant calls in a VCF file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CollectArraysVariantCallingMetrics.ArraysControlCodesSummaryMetrics` |
    `static class` | `CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics` |
    `static class` | `CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Double` | `CALL_RATE_PF_THRESHOLD` |
    `File` | `DBSNP` |
    `File` | `INPUT` |
    `int` | `NUM_PROCESSORS` |
    `File` | `OUTPUT` |
    `File` | `SEQUENCE_DICTIONARY` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectArraysVariantCallingMetrics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String[]` | `customCommandLineValidation()` | Put any custom command-line validation in an override of this method.
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static boolean` | `getSexConcordance​(String reportedSexString, String fingerprintSexString, String autocallSexString)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(shortName="I",
                    doc="Input vcf file for analysis")
          public File INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Path (except for the file extension) of output metrics files to write.")
          public File OUTPUT

    - #### CALL_RATE_PF_THRESHOLD

          @Argument(doc="The Call Rate Threshold for an autocall pass (if the observed call rate is > this value, the sample is considered to be passing)",
                    optional=true)
          public static Double CALL_RATE_PF_THRESHOLD

    - #### DBSNP

          @Argument(doc="Reference dbSNP file in dbSNP or VCF format.")
          public File DBSNP

    - #### SEQUENCE_DICTIONARY

          @Argument(shortName="SD",
                    optional=true,
                    doc="If present, speeds loading of dbSNP file, will look for dictionary in vcf if not present here.")
          public File SEQUENCE_DICTIONARY

    - #### NUM_PROCESSORS

          @Argument(doc="Split this task over multiple threads.  If NUM_PROCESSORS = 0, number of cores is automatically set to the number of cores available on the machine. If NUM_PROCESSORS < 0 then the number of cores used will be the number available on the machine less NUM_PROCESSORS.")
          public int NUM_PROCESSORS

  - ### Constructor Detail

    - #### CollectArraysVariantCallingMetrics

          public CollectArraysVariantCallingMetrics()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.

    - #### customCommandLineValidation

          protected String[] customCommandLineValidation()

      Description copied from class: `CommandLineProgram`
      Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.
      Overrides:
        `customCommandLineValidation` in class `CommandLineProgram`
      Returns:
        null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

    - #### getSexConcordance

          public static boolean getSexConcordance​(String reportedSexString,
                                                  String fingerprintSexString,
                                                  String autocallSexString)